DtCreateEditor(library call)

NAME
DtCreateEditor — create a new instance of a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
Widget DtCreateEditor(
Widget parent,
String name,
ArgList arglist,
Cardinal argcount);

DESCRIPTION

The DtEditorCreate function creates an instance of a DtEditor widget and returns the associated widget ID.

The parent argument specifies the parent widget ID.

The name argument specifies the name of the created widget.

The arglist argument specifies the argument list.

The argcount argument specifies the number of attribute and value pairs in the argument list ( arglist).

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorCreate function returns the DtEditor widget ID; otherwise, it returns NULL.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3).